Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class VariableSlotLoader

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.classgen.BytecodeExpression
                      org.codehaus.groovy.classgen.asm.VariableSlotLoader

    public class VariableSlotLoader
    extends BytecodeExpression

Field Summary

Fields inherited from class BytecodeExpression
NOP

Constructor Summary
`VariableSlotLoader(ClassNode type, int index, OperandStack os)`
`VariableSlotLoader(int index, OperandStack os)`

Method Summary
`int` | `getIndex()`
`void` | `visit(org.objectweb.asm.MethodVisitor mv)`

Methods inherited from class BytecodeExpression
transformExpression, visit, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### VariableSlotLoader

    public VariableSlotLoader(ClassNode type, int index, OperandStack os)

### VariableSlotLoader

    public VariableSlotLoader(int index, OperandStack os)

Method Detail

### getIndex

    public int getIndex()

### visit

    @Override
    public void visit(org.objectweb.asm.MethodVisitor mv)

Groovy Documentation